Bug 573353 - [abrt] calibre 0.6.26-1.fc12 - prs-500
Summary: [abrt] calibre 0.6.26-1.fc12 - prs-500
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: calibre
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:e19fb5be
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-14 11:25 UTC by Mario Chacon
Modified: 2010-06-21 13:12 UTC (History)
1 user (show)

Fixed In Version: calibre-0.6.55-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-21 13:12:44 UTC


Attachments (Terms of Use)
File: backtrace (752 bytes, text/plain)
2010-03-14 11:25 UTC, Mario Chacon
no flags Details

Description Mario Chacon 2010-03-14 11:25:34 UTC
abrt 1.0.8 detected a crash.

architecture: i686
cmdline: python /usr/bin/calibre-parallel 
comment: I tried to send a PDF to my Sony reader and it crashed
component: calibre
executable: /usr/bin/calibre-parallel
kernel: 2.6.31.6-166.fc12.i686
package: calibre-0.6.26-1.fc12
release: Fedora release 12 (Constantine)
uuid: a8b6448c

backtrace
-----
Summary: TBa8b6448c <string>:1:connect:error: [Errno 2] No such file or directory

Traceback (most recent call last):
  File "/usr/bin/calibre-parallel", line 18, in <module>
    sys.exit(main())
  File "/usr/lib/calibre/calibre/utils/ipc/worker.py", line 78, in main
    with closing(Client(address, authkey=key)) as conn:
  File "/usr/lib/python2.6/multiprocessing/connection.py", line 134, in Client
    c = SocketClient(address)
  File "/usr/lib/python2.6/multiprocessing/connection.py", line 253, in SocketClient
    s.connect(address)
  File "<string>", line 1, in connect
error: [Errno 2] No such file or directory

Local variables in innermost frame:
self: <socket._socketobject object at 0x868925c>
args: ('/tmp/pymp-ZaCIm6/listener-QuIkyZ',)

How to reproduce
-----
1.Connect Sony Reader 500
2.Add a PDF.
3.Copy the PDF to my device using Send To Devie Button

Comment 1 Mario Chacon 2010-03-14 11:25:38 UTC
Created attachment 399967 [details]
File: backtrace

Comment 2 Ionuț Arțăriși 2010-03-14 11:46:16 UTC
Hello, Mario

Could you please try using a more recent version of calibre? This bug seems like it has been fixed by upstream a while ago. Fedora currently has calibre 0.6.42, but I see that you're using 0.6.26.

If that doesn't work, could you please tell me if your e-reader's firmware has been updated or not? If you have the old version, you should probably upgrade. Calibre seems to have issues with the prs-500. The recommend using calibre 0.6.29 for the older firmware.

Comment 3 Mario Chacon 2010-03-14 11:56:34 UTC
Hello, Lonut

How can I get the latest version? Should I download from the Calibre official page?

Thank you
salu2...
masch...

Comment 4 Ionuț Arțăriși 2010-03-14 12:15:25 UTC
calibre 0.6.42 is already in the Fedora repositories, so you just need to update your system via System>Administration>Software Update

or you can do this from the command line:

$ yum update

Comment 5 Mario Chacon 2010-03-14 12:35:46 UTC
Hmm. It's stranger I am using calibre 0.6.42, I do not why ABRT detected the old version. About e-reader's firmware update, I have never updated it, Should I update it?

Comment 6 Ionuț Arțăriși 2010-03-14 18:20:42 UTC
I'm just repeating what I've read on calibre's bug tracker:

You should upgrade your firmware to use newer versions of calibre, or try using 0.6.29 with the old firmware.

Comment 7 Fedora Admin XMLRPC Client 2010-05-13 04:25:25 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 8 Kevin Fenzi 2010-05-23 20:51:17 UTC
Greetings.

I have created a test build of the latest calibre version for Fedora 12.

Can you please update from:             
http://koji.fedoraproject.org/koji/taskinfo?taskID=2204259

And see if you can reproduce this bug?

Comment 9 Fedora Update System 2010-05-29 22:15:31 UTC
calibre-0.6.55-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/calibre-0.6.55-1.fc12

Comment 10 Fedora Update System 2010-05-31 18:14:34 UTC
calibre-0.6.55-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update calibre'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/calibre-0.6.55-1.fc12

Comment 11 Mario Chacon 2010-05-31 18:31:43 UTC
Sorry, right now I have Fedora 13, but I had tested Calibre 0.6.55 on it and It works without any trouble.

salu2...
masch...

Comment 12 Fedora Update System 2010-06-21 13:11:09 UTC
calibre-0.6.55-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.